> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyberdesk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Request Logs

> List all request logs for the authenticated organization's machines.

Supports pagination and filtering by machine, HTTP method, and status code.



## OpenAPI

````yaml /openapi.json get /v1/request-logs
openapi: 3.1.0
info:
  title: Cyberdesk Cloud
  description: >-
    The Cyberdesk API provides programmatic access to all platform features,
    enabling you to automate desktop tasks at scale.
  version: 1.0.0
servers:
  - url: https://api.cyberdesk.io
    description: Production server
  - url: https://cyberdesk-api-dev.fly.dev
    description: Development server
security: []
paths:
  /v1/request-logs:
    get:
      tags:
        - request-logs
      summary: List Request Logs
      description: >-
        List all request logs for the authenticated organization's machines.


        Supports pagination and filtering by machine, HTTP method, and status
        code.
      operationId: list_request_logs_v1_request_logs_get
      parameters:
        - name: machine_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter by machine ID
            title: Machine Id
          description: Filter by machine ID
        - name: method
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by HTTP method
            title: Method
          description: Filter by HTTP method
        - name: status_code
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 599
                minimum: 100
              - type: 'null'
            description: Filter by status code
            title: Status Code
          description: Filter by status code
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse:
      properties:
        items:
          items: {}
          type: array
          title: Items
        total:
          type: integer
          title: Total
        skip:
          type: integer
          title: Skip
        limit:
          type: integer
          title: Limit
      type: object
      required:
        - items
        - total
        - skip
        - limit
      title: PaginatedResponse
      description: Paginated response wrapper
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          additionalProperties: true
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````